Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1583096 - nwchem: FTBFS in Fedora 28
Summary: nwchem: FTBFS in Fedora 28
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nwchem
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: marcindulak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1432661
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-05-28 08:32 UTC by Fedora Release Engineering
Modified: 2018-07-04 18:43 UTC (History)
1 user (show)

Fixed In Version: nwchem-6.8.1-4.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-04 18:43:49 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
root.log (deleted)
2018-05-28 08:32 UTC, Fedora Release Engineering
no flags Details
build.log (deleted)
2018-05-28 08:32 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2018-05-28 08:32 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2018-05-28 08:32:23 UTC
nwchem failed to build from source in Fedora 28

https://koji.fedoraproject.org/koji/taskinfo?taskID=27243933
https://koji.fedoraproject.org/koji/buildinfo?buildID=1086080


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
Please fix nwchem at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
nwchem will be orphaned. Before branching of Fedora 29,
nwchem will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2018-05-28 08:32:33 UTC
Created attachment 1442933 [details]
root.log

Comment 2 Fedora Release Engineering 2018-05-28 08:32:49 UTC
Created attachment 1442934 [details]
build.log

Comment 3 Fedora Release Engineering 2018-05-28 08:32:52 UTC
Created attachment 1442935 [details]
state.log

Comment 4 marcindulak 2018-06-09 07:51:09 UTC
After patching 6.6.27746 for https://github.com/nwchemgit/nwchem/issues/41 it compiles but results in segfaults. We know it is possible to build a working nwchem version 6.8 https://bugzilla.redhat.com/show_bug.cgi?id=1514542, but this is blocked by outdated ga.

Comment 5 Fedora Update System 2018-07-02 11:01:45 UTC
nwchem-6.8.1-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-dccd733c0a

Comment 6 Fedora Update System 2018-07-03 17:53:29 UTC
nwchem-6.8.1-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-dccd733c0a

Comment 7 Fedora Update System 2018-07-04 18:43:49 UTC
nwchem-6.8.1-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.